Bug 214771 - devel/awscli: Update to 1.11.22
Summary: devel/awscli: Update to 1.11.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason E. Hale
URL: https://github.com/aws/aws-cli/blob/1...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-23 07:57 UTC by Bradley T. Hughes
Modified: 2016-12-05 13:13 UTC (History)
1 user (show)

See Also:


Attachments
1.11.21 (1.89 KB, patch)
2016-11-23 07:57 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
1.11.21 v2 (2.00 KB, patch)
2016-11-23 08:46 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
1.11.22 (2.00 KB, patch)
2016-11-29 22:20 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-11-23 07:57:01 UTC
Created attachment 177319 [details]
1.11.21

Bump to the latest upstream release. Update dependencies to follow the
upstream requirements: devel/py-botocore should be at least 1.4.78, and
add devel/py-yaml as a new dependency.

https://github.com/aws/aws-cli/blob/1.11.21/CHANGELOG.rst
Comment 1 Bradley T. Hughes freebsd_committer 2016-11-23 08:09:08 UTC
portlint: OK (-C, looks fine.)
testport: OK (poudriere, 11.0-R, 10.[123]-R, 9.3-R, default options)
Comment 2 Bradley T. Hughes freebsd_committer 2016-11-23 08:46:57 UTC
Created attachment 177324 [details]
1.11.21 v2

Bump to the latest upstream release. Update dependencies to follow the
upstream requirements: devel/py-botocore should be at least 1.4.78, and
devel/py-yaml at least 3.10.

portlint: OK (-C, looks fine.)
testport: OK (poudriere, 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
Comment 3 Bradley T. Hughes freebsd_committer 2016-11-29 22:20:45 UTC
Created attachment 177525 [details]
1.11.22

Updated patch for new upstream release.
Comment 4 Bradley T. Hughes freebsd_committer 2016-11-29 22:45:02 UTC
portlint: OK (-C, looks fine.)
testport: OK (poudriere, 11.0-R, 10.[123]-R, 9.3-R, default options)
Comment 5 commit-hook freebsd_committer 2016-12-01 21:07:52 UTC
A commit references this bug:

Author: jhale
Date: Thu Dec  1 21:06:47 UTC 2016
New revision: 427522
URL: https://svnweb.freebsd.org/changeset/ports/427522

Log:
  Update to 1.11.22

  PR:		214771
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
Comment 6 Jason E. Hale freebsd_committer 2016-12-01 21:08:30 UTC
Committed, thanks!
Comment 7 Bradley T. Hughes freebsd_committer 2016-12-05 13:13:46 UTC
Thanks :)